#
# spec file for package perl-URI-Title
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-URI-Title
Version:        1.901
Release:        1.1
%define cpan_name URI-Title
Summary:        Get the Titles of Things On the Web in a Sensible Way
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/URI-Title/
Source0:        http://www.cpan.org/authors/id/B/BO/BOOK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Type) >= 0.22
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser) >= 3.45
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Image::Size)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(MP3::Info)
BuildRequires:  perl(Module::Pluggable) >= 1.2
Requires:       perl(File::Type) >= 0.22
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser) >= 3.45
Requires:       perl(HTTP::Request)
Requires:       perl(HTTP::Response)
Requires:       perl(Image::Size)
Requires:       perl(LWP::UserAgent)
Requires:       perl(MP3::Info)
Requires:       perl(Module::Pluggable) >= 1.2
%{perl_requires}

%description
I keep having to find the title of things on the web. This seems like a
really simple request, just get() the object, parse for a title tag, you're
done. Ha, I wish. There are several problems with this approach:

* What if the resource is on a very slow server? Do we wait for ever or
  what?

* What if the resource is a 900 gig file? You don't want to download that.

* What if the page title isn't in a title tag, but is buried in the HTML
  somewhere?

* What if the resource is an MP3 file, or a word document or something?

* ...

So, let's solve these issues once.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Aug 21 2016 coolo@suse.com
- updated to 1.901
  see /usr/share/doc/packages/perl-URI-Title/Changes
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.900
  see /usr/share/doc/packages/perl-URI-Title/Changes
  Revision history for Perl module URI::Title
  1.900 2014-58-18 Philippe Bruhat (BooK) <book@cpan.org>
  - now packaged with Dist::Zilla
  - Added separate COPYRIGHT AND LICENSE section to pod (NEILB)
  - Specified min version of perl as 5.006 (NEILB)
  - Added WWW::GetPageTitle to SEE ALSO. More for completeness than any belief
    that anyone might want to use that over URI::Title. (NEILB)
  1.89 2014-09-12 Philippe Bruhat (BooK) <book@cpan.org>
  - Closed RT #55235 (thanks to James Green (JKG))
* Mon Sep  1 2014 coolo@suse.com
- initial package 1.88
  * created by cpanspec 1.78.08
